
ttt_uns_rescueInjured = {

	private _pos = [getPos player, 500, 1500, 10, 0, 0.1, 0] call BIS_fnc_findSafePos;

	private _origMarker = createMarkerLocal ["orig", _pos];
	_origMarker setMarkerTypeLocal "hd_pickup";
	_origMarker setMarkerColorLocal "ColorWhite";
	(vehicle player) vehicleChat "Check map for pickup location";

	private _grp = createGroup west;
	{
		private _injPos = _pos getPos [5, random 360];
		private _inj = _grp createUnit [_x, _injPos, [], 0, "NONE"];
		[_inj, "PRONE_INJURED", "NONE"] call BIS_fnc_ambientAnim;
	} forEach ["uns_men_USMC_68_HMG", "uns_men_USMC_68_ENG", "uns_men_USMC_68_SL"];

	private _medic = "uns_men_USMC_68_MED" createVehicle _pos;
	removeAllWeapons _medic;

	private _heli = vehicle player;
	waitUntil {sleep 1; _heli distance _pos < 20 and speed _heli < 10 and isTouchingGround _heli};

	private _loadLeft = _heli getPos [1.5, getDir _heli + 270];
	private _loadRight = _heli getPos [1.5, getDir _heli + 90];

	{
		private _injured = _x;
		_medic setDir (_medic getDir _injured);
		_medic switchMove "AmovPknlMrunSnonWnonDf";
		waitUntil {_medic distance _injured < 1};
		_medic switchMove "Acts_JetsCrewaidFCrouch_loop_m";

		_injured call BIS_fnc_ambientAnim__terminate;
		_injured attachTo [_medic, [0,1.2,0]];
		_injured setDir 180;
		_injured switchMove "AinjPpneMrunSnonWnonDb";

		private _loadPoint = if (_loadLeft distance _medic < _loadRight distance _medic) then {
			_loadLeft;
		} else {
			_loadRight;
		};

		_medic setDir (_loadPoint getDir _medic);
		_medic switchMove "AcinPknlMwlkSnonWnonDb";
		waitUntil {_medic distance _loadPoint < 1};
		_medic switchMove "Acts_JetsCrewaidFCrouch_loop_m";

		sleep 1;

		_injured assignAsCargo _heli;
		// _injured moveInCargo med;
		_injured action ["getInCargo", _heli];
	} forEach (units _grp);

	sleep 1;
	_medic switchMove "AmovPknlMrunSnonWnonDf";
	waitUntil {_medic distance _heli > 10};
	_medic switchMove "Acts_JetsCrewaidFCrouch_loop_m";
	(vehicle player) vehicleChat "Dust off!";
	deleteMarker _origMarker;

	// cleanup
	[_medic, _heli] spawn {
		params ["_medic", "_heli"];
		waitUntil {sleep 1; _medic distance _heli > 1000};	
		deleteVehicle _medic;
	};
};

[] spawn {
	sleep 5;
	(vehicle player) vehicleChat "Stay ready for rescue tasks";
	sleep 1;
	[] call ttt_uns_rescueInjured;
};